HomeGuidesAPI Reference
API Reference

Search Branches

Search & Retrieve Branches, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Retrieve a paginated list of branches with optional filtering.


Endpoint

GET https://demo-api.edfapay.com/api/v1/branches/search


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerYesPage number (starts from 0)
pageSizeIntegerYesNumber of records
textStringNoSearch by branch name
activeBooleanNoFilter active branches

Request Example

curl --location 'https://revamp-api.edfapay.com/api/v1/branches/search?pageNumber=0&pageSize=10&text=test&active=true' \
--header 'X-API-KEY: <Your API Key>'

Response Body

FieldTypeDescription
codeIntegerResponse code
messageStringStatus message
data.contentArrayList of branches
data.content[].idUUIDBranch ID
data.content[].nameStringBranch name
data.content[].nameARStringArabic name
data.content[].businessUnitIdUUIDBusiness unit
data.content[].addressStringAddress
data.content[].countryCodeStringCountry code
data.content[].cityIdIntegerCity ID
data.content[].activeBooleanActive status
data.numberIntegerPage number
data.sizeIntegerPage size
data.totalElementsIntegerTotal records
data.totalPagesIntegerTotal pages

Response Example

{
  "code": 200,
  "message": "Success",
  "data": {
    "content": [
      {
        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "Test Branch",
        "nameAR": "فرع",
        "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "address": "Test Address",
        "countryCode": "818",
        "cityId": 8,
        "active": true
      }
    ],
    "number": 0,
    "size": 10,
    "totalElements": 1,
    "totalPages": 1
  }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

Branch Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*